package xyz.tbvns.Models;

import imgui.ImGui;
import lombok.Data;
import xyz.tbvns.Editor.ModelsManager;
import xyz.tbvns.ui.Renderable;

import java.util.ArrayList;
import java.util.List;

@Data
public class Animation implements Renderable {
    private List<GDModel> frames = new ArrayList<>();
    private String name;

    @Override
    public void render() {
        ImGui.separator();
        ImGui.text(name);
        ImGui.text("Frames:" + frames.size());
        if (ImGui.button("Add " + name)) {
            ModelsManager.select(frames.get(0).toModel());
        }
    }
}
